#filter out plugin .so from provides
%global __provides_exclude_from %{_libdir}/purple-2/.*\\.so

%global optflags %{optflags} -Wno-cast-function-type -Wno-error=format-overflow

%global debug_package %{nil}

Name:		purple-telegram
Summary:	Libpurple protocol plugin that adds support for the Telegram messenger
Version:	1.4.6
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Networking/Instant messaging
Url:		https://github.com/majn/telegram-purple
Source0:	https://github.com/majn/telegram-purple/releases/download/v%{version}/telegram-purple_%{version}.orig.tar.gz
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(libwebp)
Provides:	telegram-purple = %{version}-%{release}
#Upstream is not interested in unbundling tgl
Provides:	bundled(tgl) = 2.0.3

%description
Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based
messengers.

%prep
%setup -qn telegram-purple
%autopatch -p1

%build
autoreconf -vfi tgl
autoreconf -vfi
%configure \
	--with-zlib=%{_prefix}
%make_build

%install
%make_install

chmod 755 %{buildroot}/%{_libdir}/purple-2/telegram-purple.so

%find_lang telegram-purple

%files -f telegram-purple.lang
%doc AUTHORS CHANGELOG.md HACKING* README.md
# %%dir %%{_datadir}/telegram-purple/
# %%{_datadir}/telegram-purple/server.tglpub
%{_libdir}/purple-2/telegram-purple.so
%{_metainfodir}/telegram-purple.metainfo.xml
%{_datadir}/pixmaps/pidgin/protocols/*/telegram.png


%changelog
* Sat Jan 02 2021 wally <wally> 1.4.6-1.mga8
+ Revision: 1668273
- new version 1.4.6

* Sat Oct 03 2020 wally <wally> 1.4.4-1.mga8
+ Revision: 1632086
- new version 1.4.4

* Fri Apr 24 2020 wally <wally> 1.4.3-1.mga8
+ Revision: 1571703
- new version 1.4.3
- disable debug pkg for now

* Sun Feb 16 2020 umeabot <umeabot> 1.4.2-2.mga8
+ Revision: 1533559
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 wally <wally> 1.4.2-1.mga8
+ Revision: 1444286
- new version 1.4.2

* Sun Mar 03 2019 shlomif <shlomif> 1.4.1-1.mga7
+ Revision: 1371125
- New version 1.4.1

* Sun Nov 18 2018 shlomif <shlomif> 1.3.1-1.mga7
+ Revision: 1331286
- New version 1.3.1

* Sat Oct 06 2018 umeabot <umeabot> 1.3.0-3.mga7
+ Revision: 1318096
- Mageia 7 Mass Rebuild

* Tue Aug 08 2017 daviddavid <daviddavid> 1.3.0-2.mga7
+ Revision: 1138789
- rebuild for new libwebp 0.6.0

* Sun Jan 22 2017 wally <wally> 1.3.0-1.mga6
+ Revision: 1082989
- imported package purple-telegram

